SECRET_KEY = "<VEIL_NODE_APP_SECRET_KEY>"

ALLOWED_HOSTS = ["127.0.0.1", "localhost"]

NODE_LOG_PATH = "/var/log/veil/node"

REDIS_PASSWORD = "<REDIS_DB_PASSWORD>"
REDIS_HOST = "localhost"
REDIS_PORT = 6379
REDIS_DB = 0
if REDIS_PASSWORD is not None:
    REDIS_URL = "redis://:%s@%s:%s/%s" % (REDIS_PASSWORD, REDIS_HOST, REDIS_PORT, REDIS_DB)
else:
    REDIS_URL = "redis://%s:%s/%s" % (REDIS_HOST, REDIS_PORT, REDIS_DB)
REDIS_TIMEOUT = 5

DATABASES = {
    'default': {
        "ENGINE": "django.db.backends.sqlite3",
        "NAME": "<SQLITE_NODE_DB>",
    },
    "old": {
        "ENGINE": "django.db.backends.postgresql",
        "NAME": "<PGSQL_NODE_DB_NAME>",
        "USER": "<PGSQL_DB_USER>",
        "PASSWORD": "<PGSQL_DB_PASSWORD>",
        "HOST": "127.0.0.1",
        "PORT": "5432",
        "ATOMIC_REQUESTS": True,
        'OPTIONS': {
            'sslmode': 'disable',
        }
    }
}

# networking settings
SYS_CLASS_NET_PARSER = True

DEBUG = False

JWT_EXPIRATION_DELTA_DAYS = 1
JWT_REFRESH_EXPIRATION_DELTA_DAYS = 4 * 7
